aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_key_expiration.sh
diff options
context:
space:
mode:
authorrl1987 <rl1987@sdf.lonestar.org>2019-04-03 17:52:31 +0300
committerrl1987 <rl1987@sdf.lonestar.org>2019-04-03 17:52:31 +0300
commit9e0f0a565632327263c1c3466978f8bc5e759194 (patch)
tree8995358e441f05e49c8fb40799230b018dacd302 /src/test/test_key_expiration.sh
parent4efbb5d2c1cedd2ad6e8bf55e365c84bc99f4d66 (diff)
downloadtor-9e0f0a565632327263c1c3466978f8bc5e759194.tar.gz
tor-9e0f0a565632327263c1c3466978f8bc5e759194.zip
Fix SC2086 warnings in test_key_expiration.sh
Diffstat (limited to 'src/test/test_key_expiration.sh')
-rwxr-xr-xsrc/test/test_key_expiration.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index cf6608634d..5e89bbbd6a 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -6,7 +6,7 @@
umask 077
set -e
-if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
+if [ $# -eq 0 ] || [ ! -f "${1}" ] || [ ! -x "${1}" ]; then
if [ "$TESTING_TOR_BINARY" = "" ] ; then
echo "Usage: ${0} PATH_TO_TOR [case-number]"
exit 1
@@ -48,7 +48,7 @@ die() { echo "$1" >&2 ; exit 5; }
check_dir() { [ -d "$1" ] || die "$1 did not exist"; }
check_file() { [ -e "$1" ] || die "$1 did not exist"; }
check_no_file() { [ -e "$1" ] && die "$1 was not supposed to exist" || true; }
-check_files_eq() { cmp "$1" "$2" || die "$1 and $2 did not match: `dump $1` vs `dump $2`"; }
+check_files_eq() { cmp "$1" "$2" || die "$1 and $2 did not match: `dump "$1"` vs `dump "$2"`"; }
check_keys_eq() { check_files_eq "${SRC}/keys/${1}" "${ME}/keys/${1}"; }
DATA_DIR=`mktemp -d -t tor_key_expiration_tests.XXXXXX`